<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Morbius</Series>
  <Number>3</Number>
  <Web>https://www.comixology.com/Morbius-2019-3/digital-comic/815218</Web>
  <Volume>2019</Volume>
  <Summary>For a time, Michael Morbius was a Nobel Prize winning geneticist. Now, he haunts the rooftops of Brooklyn driven by an unquenchable thirst for human blood that all his expertise and experimentation has only made worse! Grappling with his hunger may be one thing, but Morbius’ persistent prodding of his genetic code has had an unfortunate and unexpected side effect – the destruction of what little is left of Morbius’ humanity!</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB815218], [RELDATE:2020-01-08]</Notes>
  <Publisher>Marvel</Publisher>
  <Genre>Vampires, Superhero</Genre>
  <PageCount>22</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
